org.eclipse.incquery.viewmodel.traceability

## Interface TraceabilityPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    TraceabilityPackageImpl

      public interface TraceabilityPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  See Also:
    `TraceabilityFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TraceabilityPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TraceabilityPackage` | `eINSTANCE` The singleton instance of the package.
    `static java.lang.String` | `eNAME` The package name.
    `static java.lang.String` | `eNS_PREFIX` The package namespace name.
    `static java.lang.String` | `eNS_URI` The package namespace URI.
    `static int` | `TRACE` The meta object id for the '`Trace`' class.
    `static int` | `TRACE__ID` The feature id for the 'Id' attribute.
    `static int` | `TRACE__OBJECTS` The feature id for the 'Objects' attribute list.
    `static int` | `TRACE__PARAMS` The feature id for the 'Params' reference list.
    `static int` | `TRACE__TARGETS` The feature id for the 'Targets' reference list.
    `static int` | `TRACE_FEATURE_COUNT` The number of structural features of the 'Trace' class.
    `static int` | `TRACE_OPERATION_COUNT` The number of operations of the 'Trace' class.
    `static int` | `TRACEABILITY` The meta object id for the '`Traceability`' class.
    `static int` | `TRACEABILITY__ID` The feature id for the 'Id' attribute.
    `static int` | `TRACEABILITY__TRACES` The feature id for the 'Traces' containment reference list.
    `static int` | `TRACEABILITY_FEATURE_COUNT` The number of structural features of the 'Traceability' class.
    `static int` | `TRACEABILITY_OPERATION_COUNT` The number of operations of the 'Traceability' class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EAttribute` | `getTrace_Id()` Returns the meta object for the attribute '`Id`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTrace_Objects()` Returns the meta object for the attribute list '`Objects`'.
    `org.eclipse.emf.ecore.EReference` | `getTrace_Params()` Returns the meta object for the reference list '`Params`'.
    `org.eclipse.emf.ecore.EReference` | `getTrace_Targets()` Returns the meta object for the reference list '`Targets`'.
    `org.eclipse.emf.ecore.EClass` | `getTrace()` Returns the meta object for class '`Trace`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTraceability_Id()` Returns the meta object for the attribute '`Id`'.
    `org.eclipse.emf.ecore.EReference` | `getTraceability_Traces()` Returns the meta object for the containment reference list '`Traces`'.
    `org.eclipse.emf.ecore.EClass` | `getTraceability()` Returns the meta object for class '`Traceability`'.
    `TraceabilityFactory` | `getTraceabilityFactory()` Returns the factory that creates the instances of the model.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final TraceabilityPackage eINSTANCE

      The singleton instance of the package.

    - #### TRACEABILITY

          static final int TRACEABILITY

      The meta object id for the '`Traceability`' class.
      See Also:
        `TraceabilityImpl`, `TraceabilityPackageImpl.getTraceability()`, Constant Field Values

    - #### TRACEABILITY__TRACES

          static final int TRACEABILITY__TRACES

      The feature id for the 'Traces' containment reference list.
      See Also:
        Constant Field Values

    - #### TRACEABILITY__ID

          static final int TRACEABILITY__ID

      The feature id for the 'Id' attribute.
      See Also:
        Constant Field Values

    - #### TRACEABILITY_FEATURE_COUNT

          static final int TRACEABILITY_FEATURE_COUNT

      The number of structural features of the 'Traceability' class.
      See Also:
        Constant Field Values

    - #### TRACEABILITY_OPERATION_COUNT

          static final int TRACEABILITY_OPERATION_COUNT

      The number of operations of the 'Traceability' class.
      See Also:
        Constant Field Values

    - #### TRACE

          static final int TRACE

      The meta object id for the '`Trace`' class.
      See Also:
        `TraceImpl`, `TraceabilityPackageImpl.getTrace()`, Constant Field Values

    - #### TRACE__TARGETS

          static final int TRACE__TARGETS

      The feature id for the 'Targets' reference list.
      See Also:
        Constant Field Values

    - #### TRACE__ID

          static final int TRACE__ID

      The feature id for the 'Id' attribute.
      See Also:
        Constant Field Values

    - #### TRACE__PARAMS

          static final int TRACE__PARAMS

      The feature id for the 'Params' reference list.
      See Also:
        Constant Field Values

    - #### TRACE__OBJECTS

          static final int TRACE__OBJECTS

      The feature id for the 'Objects' attribute list.
      See Also:
        Constant Field Values

    - #### TRACE_FEATURE_COUNT

          static final int TRACE_FEATURE_COUNT

      The number of structural features of the 'Trace' class.
      See Also:
        Constant Field Values

    - #### TRACE_OPERATION_COUNT

          static final int TRACE_OPERATION_COUNT

      The number of operations of the 'Trace' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTraceability

          org.eclipse.emf.ecore.EClass getTraceability()

      Returns the meta object for class '`Traceability`'.
      Returns:
        the meta object for class 'Traceability'.
      See Also:
        `Traceability`

    - #### getTraceability_Traces

          org.eclipse.emf.ecore.EReference getTraceability_Traces()

      Returns the meta object for the containment reference list '`Traces`'.
      Returns:
        the meta object for the containment reference list 'Traces'.
      See Also:
        `Traceability.getTraces()`, `getTraceability()`

    - #### getTraceability_Id

          org.eclipse.emf.ecore.EAttribute getTraceability_Id()

      Returns the meta object for the attribute '`Id`'.
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `Traceability.getId()`, `getTraceability()`

    - #### getTrace

          org.eclipse.emf.ecore.EClass getTrace()

      Returns the meta object for class '`Trace`'.
      Returns:
        the meta object for class 'Trace'.
      See Also:
        `Trace`

    - #### getTrace_Targets

          org.eclipse.emf.ecore.EReference getTrace_Targets()

      Returns the meta object for the reference list '`Targets`'.
      Returns:
        the meta object for the reference list 'Targets'.
      See Also:
        `Trace.getTargets()`, `getTrace()`

    - #### getTrace_Id

          org.eclipse.emf.ecore.EAttribute getTrace_Id()

      Returns the meta object for the attribute '`Id`'.
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `Trace.getId()`, `getTrace()`

    - #### getTrace_Params

          org.eclipse.emf.ecore.EReference getTrace_Params()

      Returns the meta object for the reference list '`Params`'.
      Returns:
        the meta object for the reference list 'Params'.
      See Also:
        `Trace.getParams()`, `getTrace()`

    - #### getTrace_Objects

          org.eclipse.emf.ecore.EAttribute getTrace_Objects()

      Returns the meta object for the attribute list '`Objects`'.
      Returns:
        the meta object for the attribute list 'Objects'.
      See Also:
        `Trace.getObjects()`, `getTrace()`

    - #### getTraceabilityFactory

          TraceabilityFactory getTraceabilityFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.